<app-menu></app-menu>

<div class="container mat-elevation-z8" >

<div class="row">
    <mat-toolbar color="primary" >    
    <span>Crud Editorial</span>    
    </mat-toolbar>  
</div>

<div class="row" style="margin-top: 3%">
  <mat-form-field class="col-md-4">
    <mat-label>Nombre</mat-label>
    <input matInput (keyup)="applyFilter($event)" placeholder="Ej. Isai" #input> 
  </mat-form-field>

    <div class="button-container">
        <button mat-raised-button color="primary" (click)="nuevaEditorial()">Registrar Editorial</button>
    </div>

</div>
  
<!-- editorial-list.component.html -->
<div class="mat-elevation-z8">
    <table mat-table [dataSource]="editorials">
        <ng-container matColumnDef="razonSocial">
            <th mat-header-cell *matHeaderCellDef>Razón Social</th>
            <td mat-cell *matCellDef="let editorial">{{ editorial.razonSocial }}</td>
        </ng-container>
        <ng-container matColumnDef="direccion">
            <th mat-header-cell *matHeaderCellDef>Dirección</th>
            <td mat-cell *matCellDef="let editorial">{{ editorial.direccion }}</td>
        </ng-container>
        <ng-container matColumnDef="ruc">
            <th mat-header-cell *matHeaderCellDef>RUC</th>
            <td mat-cell *matCellDef="let editorial">{{ editorial.ruc }}</td>
        </ng-container>
        <!-- Agrega más columnas según tus necesidades -->
        <ng-container matColumnDef="edit">
            <th mat-header-cell *matHeaderCellDef>Editar</th>
            <td mat-cell *matCellDef="let editorial">
                <button mat-raised-button color="primary" (click)="editarEditorial(editorial)">Editar</button>
            </td>
        </ng-container>
        <ng-container matColumnDef="delete">
            <th mat-header-cell *matHeaderCellDef>Eliminar</th>
            <td mat-cell *matCellDef="let editorial">
                <button mat-raised-button color="warn" (click)="eliminarEditorial(editorial)">Eliminar</button>
            </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
    <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons aria-label="Select page of periodic elements">
    </mat-paginator>
</div>



</div>